<?php
namespace GeorgRinger\Testoverride\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package testoverride
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class FoController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

	/**
	 * foRepository
	 *
	 * @var \GeorgRinger\Testoverride\Domain\Repository\FoRepository
	 * @inject
	 */
	protected $foRepository;

	/**
	 * action list
	 *
	 * @return void
	 */
	public function listAction() {
		$fos = $this->foRepository->findAll();
		$this->view->assign('fos', $fos);
	}

	/**
	 * action show
	 *
	 * @param \GeorgRinger\Testoverride\Domain\Model\Fo $fo
	 * @return void
	 */
	public function showAction(\GeorgRinger\Testoverride\Domain\Model\Fo $fo) {
		$this->view->assign('fo', $fo);
	}

	/**
	 * action new
	 *
	 * @param \GeorgRinger\Testoverride\Domain\Model\Fo $newFo
	 * @dontvalidate $newFo
	 * @return void
	 */
	public function newAction(\GeorgRinger\Testoverride\Domain\Model\Fo $newFo = NULL) {
		$this->view->assign('newFo', $newFo);
	}

	/**
	 * action create
	 *
	 * @param \GeorgRinger\Testoverride\Domain\Model\Fo $newFo
	 * @return void
	 */
	public function createAction(\GeorgRinger\Testoverride\Domain\Model\Fo $newFo) {
		$this->foRepository->add($newFo);
		$this->flashMessageContainer->add('Your new Fo was created.');
		$this->redirect('list');
	}

	/**
	 * action edit
	 *
	 * @param \GeorgRinger\Testoverride\Domain\Model\Fo $fo
	 * @return void
	 */
	public function editAction(\GeorgRinger\Testoverride\Domain\Model\Fo $fo) {
		$this->view->assign('fo', $fo);
	}

	/**
	 * action update
	 *
	 * @param \GeorgRinger\Testoverride\Domain\Model\Fo $fo
	 * @return void
	 */
	public function updateAction(\GeorgRinger\Testoverride\Domain\Model\Fo $fo) {
		$this->foRepository->update($fo);
		$this->flashMessageContainer->add('Your Fo was updated.');
		$this->redirect('list');
	}

}
?>